#! /usr/bin/env python2
# -*- coding: utf-8 -*-
"""
Replacement (unofficial) `setup.py` for the `mail` module.
Automatically generated by `openerpdist`. See http://noteed.com/openerpdist/.
"""

import setuptools

setuptools.setup(
    name = "openerp-mail",
    version = "7.0.355",
    description = "Social Network",
    long_description = 
"""

Business oriented Social Networking
===================================
The Social Networking module provides a unified social network abstraction layer allowing applications to display a complete
communication history on documents with a fully-integrated email and message management system.

It enables the users to read and send messages as well as emails. It also provides a feeds page combined to a subscription mechanism that allows to follow documents and to be constantly updated about recent news.

Main Features
-------------
* Clean and renewed communication history for any OpenERP document that can act as a discussion topic
* Subscription mechanism to be updated about new messages on interesting documents
* Unified feeds page to see recent messages and activity on followed documents
* User communication through the feeds page
* Threaded discussion design on documents
* Relies on the global outgoing mail server - an integrated email management system - allowing to send emails with a configurable scheduler-based processing engine
* Includes an extensible generic email composition assistant, that can turn into a mass-mailing assistant and is capable of interpreting simple *placeholder expressions* that will be replaced with dynamic data when each email is actually sent.
    
""",
    url = "http://www.openerp.com",
    author = "OpenERP SA",
    author_email = "TODO",
    classifiers = [
        "Development Status :: 5 - Production/Stable",
        "Environment :: Plugins",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: GNU Affero General Public License v3",
        "Natural Language :: English",
        "Programming Language :: Python :: 2.7",
        "Programming Language :: Python :: Implementation :: CPython",
    ],
    license = "AGPL-3",
    package_dir = {
        'openerp.addons.mail': ".",
    },
    packages = ["openerp.addons.mail","openerp.addons.mail.controllers","openerp.addons.mail.tests","openerp.addons.mail.report","openerp.addons.mail.wizard"],
    package_data = {
        'openerp.addons.mail': ["i18n/*.po*","mail_mail_view.xml","res_config_view.xml","mail_followers_view.xml","mail_message_subtype.xml","res_partner_view.xml","mail_group_view.xml","mail_thread_view.xml","mail_message_view.xml","res_users_view.xml","mail_alias_view.xml","data/mail_group_data.xml","data/mail_demo.xml","data/mail_group_demo_data.xml","data/mail_data.xml","images/messages_form.jpeg","images/inbox.jpeg","images/email.jpeg","images/share_a_message.jpeg","images/join_a_group.jpeg","images/messages_list.jpeg","static/lib/jquery.expander/jquery.expander.js","static/src/xml/announcement.xml","static/src/xml/mail_followers.xml","static/src/xml/mail.xml","static/src/js/mail_followers.js","static/src/js/many2many_tags_email.js","static/src/js/announcement.js","static/src/js/mail.js","static/src/img/email_icon.png","static/src/img/formatting.png","static/src/img/_pinky.png","static/src/img/groupdefault.png","static/src/img/attachment.png","static/src/img/checklist.png","static/src/img/_al.png","static/src/img/icon.png","static/src/img/mimetypes/disk.png","static/src/img/mimetypes/video.png","static/src/img/mimetypes/text.png","static/src/img/mimetypes/certificate.png","static/src/img/mimetypes/unknown.png","static/src/img/mimetypes/binary.png","static/src/img/mimetypes/addresses.png","static/src/img/mimetypes/audio.png","static/src/img/mimetypes/archive.png","static/src/img/mimetypes/presentation.png","static/src/img/mimetypes/calendar.png","static/src/img/mimetypes/vector.png","static/src/img/mimetypes/html.png","static/src/img/mimetypes/spreadsheet.png","static/src/img/mimetypes/image.png","static/src/img/mimetypes/print.png","static/src/img/mimetypes/document.png","static/src/img/mimetypes/webimage.png","static/src/img/mimetypes/script.png","static/src/img/mimetypes/font.png","i18n/hr.po","i18n/da.po","i18n/sl.po","i18n/es_MX.po","i18n/ru.po","i18n/zh_TW.po","i18n/cs.po","i18n/fi.po","i18n/pt_BR.po","i18n/ko.po","i18n/bg.po","i18n/es_VE.po","i18n/es_PY.po","i18n/ja.po","i18n/ro.po","i18n/sr@latin.po","i18n/es.po","i18n/mn.po","i18n/it.po","i18n/nl.po","i18n/sv.po","i18n/bs.po","i18n/tr.po","i18n/de.po","i18n/et.po","i18n/lt.po","i18n/hu.po","i18n/vi.po","i18n/gl.po","i18n/lv.po","i18n/mk.po","i18n/ca.po","i18n/fr.po","i18n/zh_CN.po","i18n/pl.po","i18n/th.po","i18n/ar.po","i18n/pt.po","i18n/es_CR.po","security/ir.model.access.csv","security/mail_security.xml","wizard/invite_view.xml","wizard/mail_compose_message_view.xml","wizard/invite_view.xml","wizard/mail_compose_message_view.xml","mail_message_subtype.xml","res_config_view.xml","mail_message_view.xml","mail_mail_view.xml","mail_followers_view.xml","mail_thread_view.xml","mail_group_view.xml","res_partner_view.xml","data/mail_data.xml","data/mail_group_data.xml","security/mail_security.xml","security/ir.model.access.csv","mail_alias_view.xml","res_users_view.xml","data/mail_demo.xml","data/mail_group_demo_data.xml","static/src/xml/mail.xml","static/src/xml/mail_followers.xml","static/src/xml/announcement.xml","static/src/css/mail.css","static/src/css/mail_group.css","static/src/css/announcement.css","static/lib/jquery.expander/jquery.expander.js","static/src/js/mail.js","static/src/js/mail_followers.js","static/src/js/many2many_tags_email.js","static/src/js/announcement.js"],
    },
    install_requires = ["openerp-core","openerp-base-setup"],
    tests_require = ["unittest2"],
)
